IOSS 2.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
ScopeGuardImpl2< F, P1, P2 > Class Template Reference

`#include <Ioss_ScopeGuard.h>`

Inheritance diagram for ScopeGuardImpl2< F, P1, P2 >:
[legend]
Collaboration diagram for ScopeGuardImpl2< F, P1, P2 >:
[legend]

## Public Member Functions
| ~ScopeGuardImpl2 ()
void | Execute ()
Public Member Functions inherited from ScopeGuardImplBase
| ScopeGuardImplBase ()
void | Dismiss () const

## Static Public Member Functions
static ScopeGuardImpl2< F, P1, P2 > | MakeGuard (F fun, P1 p1, P2 p2)

## Protected Member Functions
| ScopeGuardImpl2 (F fun, P1 p1, P2 p2)
Protected Member Functions inherited from ScopeGuardImplBase
| ~ScopeGuardImplBase ()=default
| ScopeGuardImplBase (const ScopeGuardImplBase &other)

## Protected Attributes
F | fun_
const P1 | p1_
const P2 | p2_
Protected Attributes inherited from ScopeGuardImplBase
bool | dismissed_

## Additional Inherited Members
Static Protected Member Functions inherited from ScopeGuardImplBase
template<typename J >
static void | SafeExecute (J &j)

## Constructor & Destructor Documentation

## ◆ ~ScopeGuardImpl2()

template<typename F , typename P1 , typename P2 >

ScopeGuardImpl2< F, P1, P2 >::~ScopeGuardImpl2 | ( |  | ) |
| inline

## ◆ ScopeGuardImpl2()

template<typename F , typename P1 , typename P2 >

ScopeGuardImpl2< F, P1, P2 >::ScopeGuardImpl2 | ( | F | fun,
|  | P1 | p1,
|  | P2 | p2
| ) |  |
| inlineprotected

## Member Function Documentation

## ◆ Execute()

template<typename F , typename P1 , typename P2 >

void ScopeGuardImpl2< F, P1, P2 >::Execute | ( |  | ) |
| inline

## ◆ MakeGuard()

template<typename F , typename P1 , typename P2 >

static ScopeGuardImpl2<F, P1, P2> ScopeGuardImpl2< F, P1, P2 >::MakeGuard | ( | F | fun,
|  | P1 | p1,
|  | P2 | p2
| ) |  |
| inlinestatic

## Member Data Documentation

## ◆ fun_

template<typename F , typename P1 , typename P2 >

F ScopeGuardImpl2< F, P1, P2 >::fun_
| protected

## ◆ p1_

template<typename F , typename P1 , typename P2 >

const P1 ScopeGuardImpl2< F, P1, P2 >::p1_
| protected

## ◆ p2_

template<typename F , typename P1 , typename P2 >

const P2 ScopeGuardImpl2< F, P1, P2 >::p2_
| protected

The documentation for this class was generated from the following file:

- src/Ioss_ScopeGuard.h